package betterwithmods.client;

import betterwithmods.common.blocks.BlockPlanter;
import betterwithmods.common.blocks.ItemBlockPlanter;
import net.minecraft.client.renderer.color.IBlockColor;
import net.minecraft.client.renderer.color.IItemColor;
import net.minecraft.item.ItemBlock;
import net.minecraft.world.ColorizerFoliage;
import net.minecraft.world.biome.BiomeColorHelper;

/**
 * Created by Christian on 21.10.2016.
 */
public class ColorHandlers {
    public static final IBlockColor BlockPlanterColor = (state, worldIn, pos, tintIndex) ->
            state.func_177230_c() instanceof BlockPlanter ? ((BlockPlanter) state.func_177230_c()).colorMultiplier(state, worldIn, pos, tintIndex) : -1;
    public static final IBlockColor BlockFoliageColor = (state, worldIn, pos, tintIndex) ->
            worldIn != null && pos != null ? BiomeColorHelper.func_180287_b(worldIn, pos) : ColorizerFoliage.func_77470_a(0.5D, 1.0D);

    public static final IItemColor ItemPlanterColor = (stack, tintIndex) ->
            (stack.func_77973_b() instanceof ItemBlock && stack.func_77973_b() instanceof ItemBlockPlanter) ? ((ItemBlockPlanter) stack.func_77973_b()).getColorFromItemStack(stack, tintIndex) : -1;
    public static final IItemColor ItemFoliageColor = (stack, tintIndex) ->
            BlockFoliageColor.func_186720_a(((ItemBlock) stack.func_77973_b()).func_179223_d().func_176223_P(), null, null, tintIndex);

}
